%global pypi_name tox-current-env

Name:           python-%{pypi_name}
Version:        0.0.11
Release:        %mkrel 2
Summary:        Tox plugin to run tests in current Python environment
Group:          Development/Python

License:        MIT
URL:            https://github.com/fedora-python/tox-current-env
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(pytest-xdist)

%description
The tox-current-env plugin allows to run tests in current Python environment.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The tox-current-env plugin allows to run tests in current Python environment.


%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
# Don't use %%pyproject_buildrequires -t/-e to avoid a build dependency loop
%pyproject_buildrequires -x tests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tox_current_env

#check
# the tests currently only work within actual tox and with various Python
# versions installed, so we skip them.


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst




%changelog
* Thu Dec 07 2023 wally <wally> 0.0.11-2.mga10
+ Revision: 2015169
- rebuild for py3.12

* Sat Jan 14 2023 guillomovitch <guillomovitch> 0.0.11-1.mga9
+ Revision: 1933167
- new version 0.0.11

* Wed Aug 10 2022 wally <wally> 0.0.8-1.mga9
+ Revision: 1876815
- new version 0.0.8
- switch build to pyproject RPM macros

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 0.0.7-1.mga9
+ Revision: 1781550
- version 0.0.7
- rebuild for python-3.10

* Tue Apr 06 2021 joequant <joequant> 0.0.6-1.mga9
+ Revision: 1713868
- use py3 build
- add build requires
- imported package python-tox-current-env

